# Class BasicImageDisplay

java.lang.Object
uk.ac.starlink.topcat.func.BasicImageDisplay

public class BasicImageDisplay extends Object
Functions for display of graphics-format images in a no-frills viewing window (an `ImageWindow`). Supported image formats include GIF, JPEG, PNG and FITS, which may be compressed.

Since:
  1 Oct 2004
Author:
  Mark Taylor (Starlink)

## Method Summary

Modifier and Type
Method
Description
`static String`
`displayBasicImage(String label, String loc)`
Displays the file at a given location as an image in a graphical viewer.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### displayBasicImage

public static String displayBasicImage(String label, String loc)
Displays the file at a given location as an image in a graphical viewer. `label` may be any string which identifies the window for display, so that multiple images may be displayed in different windows without getting in each others' way. `loc` should be a filename or URL, pointing to an image in a format that this viewer understands.

Parameters:
  `label` - identifies the window in which the image will be displayed
  `loc` - image location
Returns:
  short log message